Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.vmplugin
Class VMPluginFactory

factory class to get functionlity based on the VM version. The usage of this class is not for public use, only for the runtime.

author:
  Jochen Theodorou

Field Summary
`String` | `JDK5_CLASSNAME_CHECK`
`String` | `JDK5_PLUGIN_NAME`
`VMPlugin` | `plugin`

Constructor Summary
`VMPluginFactory()`

Method Summary
`static VMPlugin` | `getPlugin()`

Constructor Detail

### VMPluginFactory

    VMPluginFactory()

Method Detail

### getPlugin

    public static VMPlugin getPlugin()